<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

pg_query('SET search_path TO cabcomum');

$idestado_nascimento = pg_escape_string($_POST['form_ufNascimentoUsuario']);

if ( $idpessoa == -1)
{   
    $id_sistema = trim($numerocreas) . " - " . $datacadastrousuario;
    
    $sql1 = "select nextval('cabcomum.pessoa_id_seq'::regclass) as idpessoa";
    $result1 = pg_query($dbh, $sql1);
    $row1 = pg_fetch_array($result1);
    $idpessoa=trim($row1["idpessoa"]);
    
    
    $sql = "INSERT INTO pessoa
    (   id,
        nome ,
        nome_mae,
        idsexo ,
        data_nascimento ,
        idmunicipio_nascimento ,
        idpais_nascimento ,
        idnacionalidade ,        
        email ,
        fone_residencial,
        fone_celular ,
        fone_recado ,                        
        idestado_nascimento,
        idref_sistema,
        idpessoa_sistema 

    ) VALUES (
        $idpessoa,
        '$nomeusuario',
        '$nomemae',
        '$sexousuario',
         $datanascimento,
        '$codigomunicipiousuario',        
        '$codigopaisusuario',        
        '$nacionalidadeusuario',
        '$emailusuario',
        '$telefonefixousuario',
        '$telefonecelularusuario',
        '$telefonerecadousuario',        
        $idestado_nascimento,
        5,        
        '$id_sistema'

    )";
}
else
{
     $sql = "UPDATE pessoa
        SET
        nome = '$nomeusuario',
        nome_mae = '$nomemae',
        idsexo = '$sexousuario',
        data_nascimento = $datanascimento,
        idmunicipio_nascimento = '$codigomunicipiousuario',
        idpais_nascimento = '$codigopaisusuario' ,
        idnacionalidade = '$nacionalidadeusuario',
        email = '$emailusuario',
        fone_residencial = '$telefonefixousuario',
        fone_celular = '$telefonecelularusuario',
        fone_recado = '$telefonerecadousuario' ,
        idestado_nascimento = $idestado_nascimento,
        data_atualizacao = now()
        WHERE id =  $idpessoa ";
}


$sql = str_replace("''","null",$sql);
$sql = retiraAcentos($sql);

$result = pg_query($dbh, $sql);

if (!$result)
{   
    
    $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);
    
    
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);

   header('location:cadastro.php?reacao=retorno&acao=recadastra');
   exit;
}


//VISITA

$sql = "INSERT INTO  cabcomum.pessoa_historico (idpessoa, idsistema, data_comparecimento) VALUES ($idpessoa, 5, '$datahora')  ";

$result = pg_query($dbh, $sql);

if (!$result)
{   
    
    $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);
    
    $result = pg_query($dbh, "ROLLBACK");
    
   if (!$result)
   {
      $erroFatal = "Erro em Transa��o Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro ao Inserir o historico da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);

   header('location:cadastro.php?reacao=retorno&acao=recadastra');
   exit;
}

//ENDERECO

$sql = "DELETE FROM PESSOA_ENDERECO WHERE idpessoa = $idpessoa ";

$result = pg_query($dbh, $sql);

if (!$result)
{   
    
    $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);
    
    
    $result = pg_query($dbh, "ROLLBACK");
    
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro ao Remover Endereço da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);

   header('location:cadastro.php?reacao=retorno&acao=recadastra');
   exit;
}

//ENDEREÇO RESIDENCIAL
$sql = " INSERT INTO PESSOA_ENDERECO (
          idpessoa,
          idtipo_endereco,          
          idtipo_logradouro,
          logradouro ,
          numero ,
          complemento ,
          bairro ,
          idmunicipio ,
          cep ,
          referencia ,
          geoiguacu ,
          justificativa_sem_geoiguacu ,
          idestado
        )
        values
        (
            $idpessoa ,
            1,
            '$logradourotipousuario',
            '$logradouronomeusuario',
            '$logradouronumerousuario',
            '$logradourocomplementousuario',
            '$logradourobairrousuario',
            '$logradourocidadeusuario',            
            '$logradourocepusuario',
            '$logradouropontoreferenciausuario',
            '$logradourogeoiguacuusuario',
            '$logradourojustificativausuario',
            '$logradouroufusuario'        
        )";

$sql = retiraAcentos($sql);
$sql = str_replace("''","null",$sql);

$result = pg_query($dbh, $sql);

if (!$result)
{   
    
    $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
    
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao do Endereço da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);

   header('location:cadastro.php?reacao=retorno&acao=recadastra');
   exit;
}

if ($enderecocorrespomesmo == "N")
{
    
    $idestado = pg_escape_string($_POST['form_logradourocorrespufusuario']);
    
    //ENDEREÇO CORRESPONDÊNCIA
    $sql = " INSERT INTO PESSOA_ENDERECO (
              idpessoa,
              idtipo_endereco,          
              idtipo_logradouro,
              logradouro ,
              numero ,
              complemento ,
              bairro ,
              idmunicipio ,
              cep ,              
              idestado
            )
            values
            (
                $idpessoa,
                2,            
                '$logradourocorresptipousuario',
                '$logradourocorrespnomeusuario',
                '$logradourocorrespnumerousuario',
                '$logradourocorrespcomplementousuario',
                '$logradourocorrespbairrousuario',
                '$logradourocorrespcidadeusuario',
                '$logradourocorrespcepusuario',
                '$idestado'
            )";

    $sql = retiraAcentos($sql);
    $sql = str_replace("''","null",$sql);
    
    $result = pg_query($dbh, $sql);

    if (!$result)
    {   
        
        $erro = pg_last_error();
        GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
        
        $result = pg_query($dbh, "ROLLBACK");
        //exit;
       if (!$result)
       {
          $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
          $SESSION["f_retornoFatal"] = $erroFatal;
       }
       $erro = "Erro na Gravacao do Endereço de Corresp. da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
       $_SESSION["f_retorno"]= $erro;
       pg_close($dbh);

       header('location:cadastro.php?reacao=retorno&acao=recadastra');
       exit;
    }

    
}
else
{
    
    //repetir o valor para o endereço de corresp.
    $sql = " INSERT INTO PESSOA_ENDERECO (
          idpessoa,
          idtipo_endereco,          
          idtipo_logradouro,
          logradouro ,
          numero ,
          complemento ,
          bairro ,
          idmunicipio ,
          cep ,
          referencia ,
          geoiguacu ,
          justificativa_sem_geoiguacu ,
          idestado
        )
        values
        (
            $idpessoa ,
            2,
            '$logradourotipousuario',
            '$logradouronomeusuario',
            '$logradouronumerousuario',
            '$logradourocomplementousuario',
            '$logradourobairrousuario',
            '$logradourocidadeusuario',            
            '$logradourocepusuario',
            '$logradouropontoreferenciausuario',
            '$logradourogeoiguacuusuario',
            '$logradourojustificativausuario',
            '$logradouroufusuario'        
        )";

    $sql = retiraAcentos($sql);
    $sql = str_replace("''","null",$sql);

    $result = pg_query($dbh, $sql);

    if (!$result)
    {   
        
        $erro = pg_last_error();
        GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
        
        $result = pg_query($dbh, "ROLLBACK");
        //exit;
       if (!$result)
       {
          $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
          $SESSION["f_retornoFatal"] = $erroFatal;
       }
       $erro = "Erro na Gravacao do Endereço de Correspondencia da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
       $_SESSION["f_retorno"]= $erro;
       pg_close($dbh);

       header('location:cadastro.php?reacao=retorno&acao=recadastra');
       exit;
    }
    
}


// DOCUMENTOS
/*$sql = "DELETE FROM PESSOA_DOCUMENTO WHERE idpessoa = $idpessoa ";

$result = pg_query($dbh, $sql);

if (!$result)
{   
    
    $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);
    
    
    $result = pg_query($dbh, "ROLLBACK");
    
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro ao Remover Documentos da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);

   header('location:cadastro.php?reacao=retorno&acao=recadastra');
   exit;
} */



//RG
if (trim($rgusuario) != "")
{
 if  ($rgusuarioapresentada == "S")
   $apresentado = "1" ;
 else
    $apresentado = "0";
    
 $sql = "SELECT idpessoa
         FROM  cabcomum.pessoa_documento
         WHERE idpessoa = $idpessoa and
               idtipo_documento = 1";
               
 $result = pg_query($dbh, $sql);
 
 if (pg_num_rows($result) != 0)
    $sql = "UPDATE cabcomum.pessoa_documento
              Set 
               numero = '$rgusuario',
               idestado = $rgusuarioestado,
               idorgao = $rgusuarioorgaoemissor,
               data_emissao = $rgusuariodataemissao,
               apresentado = '$apresentado'
              Where idpessoa = $idpessoa and idtipo_documento = 1 "; 
 else   
    $sql = "INSERT INTO cabcomum.pessoa_documento
              (
               idpessoa,
               idtipo_documento,
               numero,
               idestado,
               idorgao,
               data_emissao,
               apresentado
              )
              VALUES
              (
                $idpessoa,
                1,
               '$rgusuario',
                $rgusuarioestado,
                $rgusuarioorgaoemissor,
                $rgusuariodataemissao,
               '$apresentado'
              )";

$sql = retiraAcentos($sql);

$result = pg_query($dbh, $sql);

if (!$result)
{   
    
    $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
    
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao do RG da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);

   header('location:cadastro.php?reacao=retorno&acao=recadastra');
   exit;
}
}
else
{
    $sql = "DELETE FROM PESSOA_DOCUMENTO WHERE idpessoa = $idpessoa and idtipo_documento = 1 ";
  
    $result = pg_query($dbh, $sql);

    if (!$result)
    {   
        
        $erro = pg_last_error();
        GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
        
        $result = pg_query($dbh, "ROLLBACK");
        //exit;
       if (!$result)
       {
          $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
          $SESSION["f_retornoFatal"] = $erroFatal;
       }
       $erro = "Erro na Delecao do RG da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
       $_SESSION["f_retorno"]= $erro;
       pg_close($dbh);

       header('location:cadastro.php?reacao=retorno&acao=recadastra');
       exit;
    }
}



//carteira de trabalho
if (trim($carteiratrabusuario) != "")
{
 if  ($carteiratrabusuarioapresentada == "S")
   $apresentado = "1" ;
 else
    $apresentado = "0";
    
 $sql = "SELECT idpessoa
         FROM  cabcomum.pessoa_documento
         WHERE idpessoa = $idpessoa and
               idtipo_documento = 2";
               
 $result = pg_query($dbh, $sql);
 
 if (pg_num_rows($result) != 0)    
 $sql = "UPDATE cabcomum.pessoa_documento
              SET 
               numero = '$carteiratrabusuario',
               serie = $carteiratrabusuarioserie,
               idestado = '$carteiratrabusuarioestado',
               data_emissao = $carteiratrabusuariodataemissao,
               apresentado = '$apresentado'
              WHERE idpessoa = $idpessoa AND idtipo_documento = 2"; 
 else
 $sql = "INSERT INTO cabcomum.pessoa_documento
              (
               idpessoa,
               idtipo_documento,
               numero,
               serie,
               idestado,
               data_emissao,
               apresentado
              )
              VALUES
              (
                $idpessoa,
                2,
               '$carteiratrabusuario',
                $carteiratrabusuarioserie,
               '$carteiratrabusuarioestado',
                $carteiratrabusuariodataemissao,
               '$apresentado'
              )";

$sql = retiraAcentos($sql);

$result = pg_query($dbh, $sql);

if (!$result)
{   
    
    $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
    
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao da carteira de trabalho da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);

   header('location:cadastro.php?reacao=retorno&acao=recadastra');
   exit;
}
}
else
{
    $sql = "DELETE FROM PESSOA_DOCUMENTO WHERE idpessoa = $idpessoa and idtipo_documento = 2 ";
  
    $result = pg_query($dbh, $sql);

    if (!$result)
    {   
        
        $erro = pg_last_error();
        GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
        
        $result = pg_query($dbh, "ROLLBACK");
        //exit;
       if (!$result)
       {
          $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
          $SESSION["f_retornoFatal"] = $erroFatal;
       }
       $erro = "Erro na Delecao da Cart de Trabalho da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
       $_SESSION["f_retorno"]= $erro;
       pg_close($dbh);

       header('location:cadastro.php?reacao=retorno&acao=recadastra');
       exit;
    }
}


//PIS/PASEP
if (trim($pispasepusuario) != "")
{
    
  if  ($pispasepusuarioapresentada == "S")
   $apresentado = "1" ;
 else
    $apresentado = "0";

 $sql = "SELECT idpessoa
         FROM  cabcomum.pessoa_documento
         WHERE idpessoa = $idpessoa and
               idtipo_documento = 3";
               
 $result = pg_query($dbh, $sql);
 
 if (pg_num_rows($result) != 0)    
    $sql = "UPDATE cabcomum.pessoa_documento
              SET 
               numero = '$pispasepusuario',               
               apresentado = '$apresentado'
              WHERE idpessoa = $idpessoa AND idtipo_documento = 3"; 
 else    
    $sql = "INSERT INTO cabcomum.pessoa_documento
              (
               idpessoa,
               idtipo_documento,
               numero,
               apresentado
              )
              VALUES
              (
                $idpessoa,
                3,
               '$pispasepusuario',                
               '$apresentado'
              )";

$sql = retiraAcentos($sql);

$result = pg_query($dbh, $sql);

if (!$result)
{   
    
    $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
    
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao do PIS/PASEP da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);

   header('location:cadastro.php?reacao=retorno&acao=recadastra');
   exit;
}
}
else
{
    $sql = "DELETE FROM PESSOA_DOCUMENTO WHERE idpessoa = $idpessoa and idtipo_documento = 3 ";
  
    $result = pg_query($dbh, $sql);

    if (!$result)
    {   
        
        $erro = pg_last_error();
        GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
        
        $result = pg_query($dbh, "ROLLBACK");
        //exit;
       if (!$result)
       {
          $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
          $SESSION["f_retornoFatal"] = $erroFatal;
       }
       $erro = "Erro na Delecao do PIS PASEP da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
       $_SESSION["f_retorno"]= $erro;
       pg_close($dbh);

       header('location:cadastro.php?reacao=retorno&acao=recadastra');
       exit;
    }
}


//NIS
if (trim($nisusuario) != "")
{
    
 if  ($nisusuarioapresentada == "S")
   $apresentado = "1" ;
 else
    $apresentado = "0";
    
$sql = "SELECT idpessoa
         FROM  cabcomum.pessoa_documento
         WHERE idpessoa = $idpessoa and
               idtipo_documento = 4";
               
 $result = pg_query($dbh, $sql);
 
 if (pg_num_rows($result) != 0)    
    $sql = "UPDATE cabcomum.pessoa_documento
              SET 
               numero = '$nisusuario',               
               apresentado = '$apresentado'
              WHERE idpessoa = $idpessoa AND idtipo_documento = 4"; 
 else        
 $sql = "INSERT INTO cabcomum.pessoa_documento
              (
               idpessoa,
               idtipo_documento,
               numero,
               apresentado
              )
              VALUES
              (
                $idpessoa,
                4,
               '$nisusuario',                
               '$apresentado'
              )";

$sql = retiraAcentos($sql);

$result = pg_query($dbh, $sql);

if (!$result)
{   
    
    $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
    
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao do NIS da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);

   header('location:cadastro.php?reacao=retorno&acao=recadastra');
   exit;
}
}
else
{
    $sql = "DELETE FROM PESSOA_DOCUMENTO WHERE idpessoa = $idpessoa and idtipo_documento = 4 ";
  
    $result = pg_query($dbh, $sql);

    if (!$result)
    {   
        
        $erro = pg_last_error();
        GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
        
        $result = pg_query($dbh, "ROLLBACK");
        //exit;
       if (!$result)
       {
          $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
          $SESSION["f_retornoFatal"] = $erroFatal;
       }
       $erro = "Erro na Delecao do NIS da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
       $_SESSION["f_retorno"]= $erro;
       pg_close($dbh);

       header('location:cadastro.php?reacao=retorno&acao=recadastra');
       exit;
    }
}


//CPF
if (trim($cpfusuario) != "")
{
    
 if  ($cpfpresentada == "S")
   $apresentado = "1" ;
 else
    $apresentado = "0";
    

$sql = "SELECT idpessoa
         FROM  cabcomum.pessoa_documento
         WHERE idpessoa = $idpessoa and
               idtipo_documento = 5";
               
 $result = pg_query($dbh, $sql);
 
 //retira formatacao
 $numdoc = str_replace("-","",str_replace(".","",$cpfusuario));
 
 if (pg_num_rows($result) != 0)    
    $sql = "UPDATE cabcomum.pessoa_documento
              SET 
               numero = '$numdoc',               
               apresentado = '$apresentado'
              WHERE idpessoa = $idpessoa AND idtipo_documento = 5"; 
 else            
    $sql = "INSERT INTO cabcomum.pessoa_documento
              (
               idpessoa,
               idtipo_documento,
               numero,
               apresentado
              )
              VALUES
              (
                $idpessoa,
                5,
               '$numdoc',                
               '$apresentado'
              )";

$sql = retiraAcentos($sql);

$result = pg_query($dbh, $sql);

if (!$result)
{   
    
    $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
    
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao do cpf da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);

   header('location:cadastro.php?reacao=retorno&acao=recadastra');
   exit;
}
}
else
{
    $sql = "DELETE FROM PESSOA_DOCUMENTO WHERE idpessoa = $idpessoa and idtipo_documento = 5 ";
  
    $result = pg_query($dbh, $sql);

    if (!$result)
    {   
        
        $erro = pg_last_error();
        GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
        
        $result = pg_query($dbh, "ROLLBACK");
        //exit;
       if (!$result)
       {
          $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
          $SESSION["f_retornoFatal"] = $erroFatal;
       }
       $erro = "Erro na Delecao do CPF da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
       $_SESSION["f_retorno"]= $erro;
       pg_close($dbh);

       header('location:cadastro.php?reacao=retorno&acao=recadastra');
       exit;
    }
}


//CADSUS
if (trim($nrocadsususuario) != "")
{
    
 if  ($nrocadsususuarioapresentada == "S")
    $apresentado = "1" ;
 else
    $apresentado = "0";
    
 $sql = "SELECT idpessoa
         FROM  cabcomum.pessoa_documento
         WHERE idpessoa = $idpessoa and
               idtipo_documento = 6";
               
 $result = pg_query($dbh, $sql);
 
 if (pg_num_rows($result) != 0)    
    $sql = "UPDATE cabcomum.pessoa_documento
              SET 
               numero = '$nrocadsususuario',               
               apresentado = '$apresentado'
              WHERE idpessoa = $idpessoa AND idtipo_documento = 6"; 
 else                
    $sql = "INSERT INTO cabcomum.pessoa_documento
              (
               idpessoa,
               idtipo_documento,
               numero,
               apresentado
              )
              VALUES
              (
                $idpessoa,
                6,
               '$nrocadsususuario',
               '$apresentado'
              )";

$sql = retiraAcentos($sql);

$result = pg_query($dbh, $sql);

if (!$result)
{   
    
    $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
    
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao do CADSUS da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);

   header('location:cadastro.php?reacao=retorno&acao=recadastra');
   exit;
}
}
else
{
    $sql = "DELETE FROM PESSOA_DOCUMENTO WHERE idpessoa = $idpessoa and idtipo_documento = 6 ";
  
    $result = pg_query($dbh, $sql);

    if (!$result)
    {   
        
        $erro = pg_last_error();
        GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
        
        $result = pg_query($dbh, "ROLLBACK");
        //exit;
       if (!$result)
       {
          $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
          $SESSION["f_retornoFatal"] = $erroFatal;
       }
       $erro = "Erro na Delecao do CADSUS da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
       $_SESSION["f_retorno"]= $erro;
       pg_close($dbh);

       header('location:cadastro.php?reacao=retorno&acao=recadastra');
       exit;
    }
}

//CNH
if (trim($cartmotoristausuario) != "")
{
  if  ($cartmotoristaapresentada == "S")
   $apresentado = "1" ;
 else
    $apresentado = "0";
    
 $sql = "SELECT idpessoa
         FROM  cabcomum.pessoa_documento
         WHERE idpessoa = $idpessoa and
               idtipo_documento = 8";
               
 $result = pg_query($dbh, $sql);
 
 if (pg_num_rows($result) != 0)    
    $sql = "UPDATE cabcomum.pessoa_documento
              SET 
               numero = '$cartmotoristausuario',               
               apresentado = '$apresentado'
              WHERE idpessoa = $idpessoa AND idtipo_documento = 8"; 
 else                    
    $sql = "INSERT INTO cabcomum.pessoa_documento
              (
               idpessoa,
               idtipo_documento,
               numero,
               apresentado
              )
              VALUES
              (
                $idpessoa,
                8,
               '$cartmotoristausuario',
               '$apresentado'
              )";

$sql = retiraAcentos($sql);

$result = pg_query($dbh, $sql);

if (!$result)
{   
    
    $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
    
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao da CNH da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);

   header('location:cadastro.php?reacao=retorno&acao=recadastra');
   exit;
}
}
else
{
    $sql = "DELETE FROM PESSOA_DOCUMENTO WHERE idpessoa = $idpessoa and idtipo_documento = 8 ";
  
    $result = pg_query($dbh, $sql);

    if (!$result)
    {   
        
        $erro = pg_last_error();
        GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
        
        $result = pg_query($dbh, "ROLLBACK");
        //exit;
       if (!$result)
       {
          $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
          $SESSION["f_retornoFatal"] = $erroFatal;
       }
       $erro = "Erro na Delecao da CNH da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
       $_SESSION["f_retorno"]= $erro;
       pg_close($dbh);

       header('location:cadastro.php?reacao=retorno&acao=recadastra');
       exit;
    }
}

//Certidão
if (trim($certidaofolhausuario) != "")
{
  if  ($certidaocartoriousuarioapresentada == "S")
   $apresentado = "1" ;
 else
    $apresentado = "0";
    
 $sql = "SELECT idpessoa
         FROM  cabcomum.pessoa_documento
         WHERE idpessoa = $idpessoa and
               idtipo_documento = 9";
               
 $result = pg_query($dbh, $sql);
 
 $matricula_certidao = pg_escape_string($_POST['form_certidaomatricula']);
 
 if (pg_num_rows($result) != 0)    
    $sql = "UPDATE cabcomum.pessoa_documento
              SET 
               idtipo_certidao = '$certidaotipousuario',
               folha = '$certidaofolhausuario',
               termo = '$certidaotermousuario',
               livro = '$certidaolivrousuario',
               cartorio = '$certidaocartoriousuario',
               data_emissao = $certidaousuariodataemissao,
               apresentado  =  '$apresentado',
               matricula_certidao = '$matricula_certidao'
              WHERE idpessoa = $idpessoa AND idtipo_documento = 9"; 
 else    
    $sql = "INSERT INTO cabcomum.pessoa_documento
              (
               idpessoa,
               idtipo_documento,
               idtipo_certidao,
               folha,
               termo,
               livro,
               cartorio,
               data_emissao,
               apresentado,
               matricula_certidao
              )
              VALUES
              (
                $idpessoa,
                9,
               '$certidaotipousuario',
               '$certidaofolhausuario',
               '$certidaotermousuario',
               '$certidaolivrousuario',
               '$certidaocartoriousuario',
                $certidaousuariodataemissao,
               '$apresentado',
               '$matricula_certidao'
              )";

$sql = retiraAcentos($sql);

$result = pg_query($dbh, $sql);

if (!$result)
{   
    
    $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
    
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao da Certidão da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);

   header('location:cadastro.php?reacao=retorno&acao=recadastra');
   exit;
}
}
else
{
    $sql = "DELETE FROM PESSOA_DOCUMENTO WHERE idpessoa = $idpessoa and idtipo_documento = 9 ";
  
    $result = pg_query($dbh, $sql);

    if (!$result)
    {   
        
        $erro = pg_last_error();
        GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
        
        $result = pg_query($dbh, "ROLLBACK");
        //exit;
       if (!$result)
       {
          $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
          $SESSION["f_retornoFatal"] = $erroFatal;
       }
       $erro = "Erro na Delecao do Certidao da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
       $_SESSION["f_retorno"]= $erro;
       pg_close($dbh);

       header('location:cadastro.php?reacao=retorno&acao=recadastra');
       exit;
    }
}


//Tit. eleitor
if (trim($titeleitorusuario) != "")
{
    
 if  ($titeleitorusuarioapresentada == "S")
   $apresentado = "1" ;
 else
    $apresentado = "0";
    

 $sql = "SELECT idpessoa
         FROM  cabcomum.pessoa_documento
         WHERE idpessoa = $idpessoa and
               idtipo_documento = 10";
               
 $result = pg_query($dbh, $sql);
 
 if (pg_num_rows($result) != 0)    
    $sql = "UPDATE cabcomum.pessoa_documento
              SET 
               numero = '$titeleitorusuario',
               zona = '$titeleitorusuariozona',
               secao = '$titeleitorusuariosecao',
               apresentado = '$apresentado'
              WHERE idpessoa = $idpessoa AND idtipo_documento = 10"; 
 else       
    $sql = "INSERT INTO cabcomum.pessoa_documento
              (
               idpessoa,
               idtipo_documento,
               numero,
               zona,
               secao,               
               apresentado
              )
              VALUES
              (
                $idpessoa,
                10,
               '$titeleitorusuario',
               '$titeleitorusuariozona',
               '$titeleitorusuariosecao',
               '$apresentado'
              )";

$sql = retiraAcentos($sql);

$result = pg_query($dbh, $sql);

if (!$result)
{   
    
    $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
    
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao do Tit eleitor da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);

   header('location:cadastro.php?reacao=retorno&acao=recadastra');
   exit;
}

}
else
{
    $sql = "DELETE FROM PESSOA_DOCUMENTO WHERE idpessoa = $idpessoa and idtipo_documento = 10 ";
  
    $result = pg_query($dbh, $sql);

    if (!$result)
    {   
        
        $erro = pg_last_error();
        GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);    
        
        $result = pg_query($dbh, "ROLLBACK");
        //exit;
       if (!$result)
       {
          $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
          $SESSION["f_retornoFatal"] = $erroFatal;
       }
       $erro = "Erro na Delecao do Tit Eleitor da Pessoa - " .  str_replace("\n","",str_replace("\"","'",$erro));
       $_SESSION["f_retorno"]= $erro;
       pg_close($dbh);

       header('location:cadastro.php?reacao=retorno&acao=recadastra');
       exit;
    }
}

pg_query('SET search_path TO pcni_assistenciacreas');

?>